;-*-emacs-lisp-*-
; arch-tag: 045640fd-0ff2-45b7-a29f-68e4b8378fbf

(if (file-readable-p (concat "=F" "/vm.elc"))
    (progn
      
      (provide 'vm-init)
      
      ;; Autoloads as per README
      
      (autoload 'vm "vm" "Start VM on your primary inbox." t)
      (autoload 'vm-other-frame "vm" "Like `vm' but starts in other frame." t)
      (autoload 'vm-visit-folder "vm" "Start VM on an arbitrary folder." t)
      (autoload 'vm-visit-virtual-folder "vm" "Visit a VM virtual folder." t)
      (autoload 'vm-mode "vm" "Run VM major mode on a buffer" t)
      (autoload 'vm-mail "vm" "Send a mail message using VM." t)
      (autoload 'vm-submit-bug-report "vm" "Send a bug report about VM." t)
      
      ;; Fixes for Debian
      
      (setq vm-pop-md5-program "md5sum"
	    vm-toolbar-pixmap-directory "/usr/share/emacs/site-lisp/vm/etc"
	    vm-image-directory "/usr/share/emacs/site-lisp/vm/etc"
	    )
      
      (if (fboundp 'debian-pkg-add-load-path-item)
	  (setq load-path (debian-pkg-add-load-path-item "=F"))
	(setq load-path (nconc load-path (list "=F"))))

      ;; Make sure that the uncompiled files are also in the
      ;; laod-path, though near the end.
      (setq load-path (nconc load-path (list "/usr/share/emacs/site-lisp/vm")))

      ;; This is no longer needed.
      ;;(setq file-coding-system nil) ;; this turns out undefined otherwise.
      
      ;; Useful stuff
      ;;; From: kyle_jones@wonderworks.com (Kyle Jones)
      ;;	; Sender: info-vm-request@uunet.uu.net
      ;; To: carney@gvc.dec.com
      ;; Cc: info-vm@uunet.uu.net
      ;; Subject: filename completion in FCC:
      ;; Date: Sun, 6 Aug 1995 13:24:08 -0400
      ;;
      ;; Stephen Carney writes:
      ;; > Is it possible to have filename completion in the FCC field of
      ;; > the message header?
      ;;
      ;; This might be worth adding to VM.

      (require 'comint)
      
      (defun mail-mode-smart-tab ()
	(interactive)
	(if (save-excursion
	      (beginning-of-line)
	      (looking-at "FCC: "))
	    (comint-dynamic-complete)
	  (if (and (save-excursion
		     (search-forward
		      (concat "\n" mail-header-separator "\n")
		      nil t))
		   (featurep 'bbdb))
	      (bbdb-complete-name)
	    (tab-to-tab-stop))))
      
      (add-hook 'mail-setup-hook
		'(lambda () (local-set-key "\t" 'mail-mode-smart-tab)))
      ;; Uncomment these if you have the package mime-codecs installed
      ;; (setq
      ;;  vm-mime-qp-decoder-program "qp-decode"
      ;;  vm-mime-qp-encoder-program "qp-encode"
      ;;  vm-mime-base64-decoder-program "base64-decode"
      ;;  vm-mime-base64-encoder-program "base64-encode"
      ;;  )

      ;; If you have metamail, you would set these instead:
      ;;     (setq vm-mime-base64-decoder-program "mimencode")
      ;;     (setq vm-mime-base64-decoder-switches '("-u" "-b" "-p"))
      ;;     (setq vm-mime-base64-encoder-program "mimencode")
      ;;     (setq vm-mime-base64-encoder-switches '("-b"))
      ;;     (setq vm-mime-qp-decoder-program "mimencode")
      ;;     (setq vm-mime-qp-decoder-switches '("-u" "-q"))
      ;;     (setq vm-mime-qp-encoder-program "mimencode")
      ;;     (setq vm-mime-qp-encoder-switches '("-q"))
      ))

